Skip to main content
GET
/
workspaces
/
{workspace_id}
/
secrets
/
definitions
Error
A valid request URL is required to generate request examples
[
  {
    "name": "<string>",
    "keys": [
      "<string>"
    ],
    "actions": [
      "<string>"
    ],
    "action_count": 123,
    "optional_keys": [
      "<string>"
    ],
    "optional": false,
    "secret_type": "custom"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Response

Successful Response

name
string
required
keys
string[]
required
actions
string[]
required
action_count
integer
required
optional_keys
string[] | null
optional
boolean
default:false
secret_type
enum<string>
default:custom

The type of a secret.

Available options:
custom,
ssh_key,
mtls,
ca_cert,
github_app